IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CF_Cli_Id_Cliente_Ref') 
                   and type = 'FN')
BEGIN
    DROP FUNCTION dbo.CF_Cli_Id_Cliente_Ref
END
GO

CREATE FUNCTION dbo.CF_Cli_Id_Cliente_Ref(@Cli INT) 
RETURNS INT
AS
BEGIN

DECLARE @Cab_Grupo INT


SET @Cab_Grupo = ISNULL((SELECT Id_Cliente_Ref FROM Clientes WHERE Id_Cliente = @Cli),0)

IF @Cab_Grupo = 0
	SET @Cab_Grupo = @Cli
	

RETURN @Cab_Grupo
END
